Skip to main content
GET
Get all environment SDK keys

Authorizations

Authorization
string
header
required

Headers

LD-API-Version
enum<string>
required

Version of the endpoint.

Available options:
beta

Path Parameters

projectKey
string
required
environmentKey
string
required

Query Parameters

filter
string

A filter to apply to the list of SDK keys. Supports the following fields and operators: kind (equals "sdk" or "mobile"), active (equals true or false). Format: field:value. Example: kind:sdk.

limit
integer

The number of SDK keys to return. Defaults to 20. Maximum is 100.

offset
integer

The number of SDK keys to skip. Used for pagination.

sort
enum<string>

A sort to apply to the list of SDK keys. Supported field: createdAt. Prefix the field with - to sort in descending order (for example, -createdAt).

Available options:
createdAt,
-createdAt

Response

Successful response

items
object[]
required
totalCount
integer
required

The total number of SDK keys matching the query, before pagination.

Example: